Skip to main content
`Ctrl`+`K`

# PetscFree4

Frees 4 chunks of memory obtained with `PetscMalloc4()`

## Synopsis

    #include <petscsys.h>
    PetscErrorCode PetscFree4(void *m1,void *m2,void *m3,void *m4)

Not Collective

## Input Parameters

- m1 - memory to free

- m2 - 2nd memory to free

- m3 - 3rd memory to free

- m4 - 4th memory to free

## Notes

Memory must have been obtained with `PetscMalloc4()`

The arguments need to be in the same order as they were in the call to `PetscMalloc4()`

## See Also

`PetscNew()`, `PetscMalloc()`, `PetscMalloc2()`, `PetscFree()`, `PetscMalloc3()`, `PetscMalloc4()`

## Level

developer

## Location

include/petscsys.h

## Examples

src/ts/tutorials/ex30.c
src/ts/tutorials/ex9.c
src/ts/tutorials/ex18.c
src/ts/tutorials/ex11.c
src/ts/tutorials/ex11_sa.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages